#
# spec file for package lxqt-panel
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-panel
Version:        0.11.0
Release:        1.1
Summary:        Desktop Panel for LXQt
License:        GPL-2.0+
Group:          System/GUI/LXQt
Url:            http://www.lxqt.org
Source0:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libsensors4-devel
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF5Solid) >= 5.5.0
BuildRequires:  cmake(KF5WindowSystem) >= 5.5.0
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbusmenu-qt5)
BuildRequires:  pkgconfig(libmenu-cache) >= 0.3.3
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libstatgrab)
BuildRequires:  pkgconfig(lxqt) >= %{version}
BuildRequires:  pkgconfig(lxqt-globalkeys) >= %{version}
BuildRequires:  pkgconfig(lxqt-globalkeys-ui)
BuildRequires:  pkgconfig(sysstat-qt5)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbcommon-x11)
BuildRequires:  pkgconfig(xrender)
Recommends:     %{name}-lang
Requires:       lxmenu-data
Requires:       menu-cache
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Brand new desktop Panel for LXQt

%package devel
Summary:        Devel files for lxqt-panel
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
LXQt panel development files and headers

%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=No -DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now"

make %{?_smp_mflags}

%install
%cmake_install
%fdupes -s %{buildroot}/%{_datadir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE
%{_bindir}/%{name}
%dir %{_sysconfdir}/xdg/
%dir %{_sysconfdir}/xdg/lxqt
%config %{_sysconfdir}/xdg/lxqt/panel.conf
%{_libdir}/%{name}
%dir %{_datadir}/lxqt
%{_datadir}/lxqt/lxqt-panel
%{_mandir}/man1/lxqt-panel.1%{ext_man}

%files devel
%defattr(-,root,root)
%{_includedir}/lxqt

%changelog
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * Update README.md: Reflect changes introduced in 1c22479
  * CMakeLists: Fail for unmet dependencies
  * mainmenu: Remove setting base style in StyleChange
  * mainmenu: Workaround transparent search
  * mainmenu: Dispose old menu first when building new
  * Add README.md
  * sensors: Add default bar scale
  * sensors: Check for existence of the max value
  * sensors: Add minor code optimization
  * mainmenu: Handle QAction disposal correctly
  * panel: Don't use autoFillBackground
  * Plugin: Fix FTBFS for older Qt versions
  * mainmenu: Fix show/hide actions after menu rebuild
  * Statusnotifier: Remove setParent on StatusNotifierMenu.
  * Add XKB_COMMON_X11_INCLUDE_DIRS
  * panel: Remove/deprecate plugin-screensaver (#363)
  * Add and Update Arabic Translations for Desktop Files
  * Fix updating panel geometry on screen size change
  * panel: Fix screen number config change saving
  * Separate a String for I18N Enhancement
  * plugin: Force config dialog activation/raise
  * plugin: Fix crossreferencing of config dialogs
  * panel: Dispose unneeded menu
  * panel: Destroy panel's config dialog
  * showPopupMenu: Remove extraneous setParent() call (#359)
  * statusnotifier: fix popup position on right click
  * desktopswitch: Take layoutDirection into account
  * taskbar: Remove orientation specific logic for DnD
  * LXQtPanelLayout: Take layoutDirection into account
  * taskbar: Remove forgotten debug
  * taskbar: Consider layoutDirection for DnD
  * panel: Optimize search a bit
  * plugin-volume: Avoid an buffer overflow
  * Respect the OnlyShowIn property for menu entries when using menu-cache (#351)
  * kbindicator-plugin: fix linking with libxcb-1.12
  * plugin-volume: Handle errors when trying to determine the next card
  * Clean up CMakeLists.txt
  * plugin/directorymenu: Removes no use code (#350)
  * build: Forward translations parameters
  * ts-files removal (#346)
  * Fix memory leaks
  * Use const references with the foreach iterator
  * Small fix
  * statusnotifier: Fix showing icons in menu
  * kbindicator: (Re)Add .desktop translations
  * Update desktopswitchconfiguration.ui
  * panel: (Re)Add translations dir
  * Revert unintended *.desktop files removal
  * Remove translations (can be pulled in build time)
  * Use external translations
  * Update lxqt-panel_it.ts
  * Add documentation/comments for PanelPluginsModel.
  * Fix segfault on plugin initialization (#338)
  * translations: updated german translation (#323)
  * plugin-mainmenu: update mainmenu_it.ts (#337)
  * Russian translation update
  * mainmenu: Use style sheet to override icon
  * plugins: Change "repolish" logic
  * mainmenu: Reduce delay of popup when using shortcut
  * volume: Remove debug
  * plugins: Don't unload -> avoid dangling resources
  * Added new translated strings.
  * Added missing context for lupdate.
  * Updated german translation.
  * Ask for confirmation when removing a panel
  * panel: Add "Lock Panel" functionality
  * fix updating panel geometry on screen changes
  * Try find a free position when adding a new panel
  * LXQtPanelApplication: Use D-Pointers
  * Animate auto-hiding panels.
  * Add QT_USE_QSTRINGBUILDER to the compile definitions
  * tray: Fix SEGFAULT on stop
  * mainmenu: Fix visual search problems
  * mainmenu: Remove duplicates from search
  * mainmenu: Add new configuration options for search
  * mainmenu: Workadound QLineEdit's wakups(QTBUG-52021)
  * mainmenu: Add configurable way of search
  * taskbar: separate adding from changing windows
  * plugins: Make buttons flat for cleaner look
  * mainmenu: Fix search interacion
  * mainmenu: Add search/hide possibility
  * taskbar: Add show icon by WindowClass to config
  * taskbar: Use icon from theme (based on windowClass)
  * panellayout: Do not allow oversized plugins
  * panellayout: Avoid plugin margins
  * PluginSettings: Make settings object/class public
  * Bump year Fix licenses: lxqt-panel is pure LGPL
  * worldclock: Fix possible SEGFAULT
  * Add comments for ILXQtPanel and LXQtPanel.
  * plugin-taskbar: fix German translation of configuration dialogue
  * panel: Correct PanelPluginsModel logic
  * volume: Avoid infinite cycle in config dialog
  * plugins: Use "cleaner" style logic
  * mainmenu: Remove unneeded includes
  * mainmenu: Fix freeze for some widget styles (e.g. breeze)
  * tray: Fix "BadDamage" warning message
  * tray: Postpone tray icon initialization
  * PluginSettings: Emit settingsChanged only for owned keys
  * taskbar: Fix (auto)hide after window menu is shown
  * mainmenu: Use directory of current icon for search
  * mainmenu: Fix showing icon path in configuration
  * plugin-taskbar: avoid icon-only style for groups
  * statusnotifier: fix position of context menus
  * plugin-quicklaunch: remove preset applications
  * plugin-tray: Fix native window sizes for high DPI devices
  * taskbar: Refactor/improove window handling logic
  * taskbar: Fix multiple groups when WindowClass changes
  * plugin settings: Publish PluginSettings symbols
  * Add support for nested groups in PluginSettings
  * Add PluginSettings::{read,set}Array for atomicity
  * Add PluginSettings for shared settings for plugins
  * plugins config: remove a lot of redundant code
  * LXQtPanelPluginConfigDialog: add ctor overload
  * Update lxqt-panel_fr_FR.ts
  * Create HR translations for panel and plugins
  * lxqt-panel: Update/format and install man page
  * plugin-kbindicator: remove ru_RU translations
  * plugin-kbindicator: add russian translations
  * Update Russian translations for the panel and plugins
  * Italian translation update
  * Updated german translation.
  * Adds comments for lxqtpanelapplication.h.
  * Correct some minor spelling mistakes.
  * panel-config: Fix background opacity slider
  * taskbar: Avoid "noop" button if window ID changes
  * mainmenu: Fix URL assembly for Drag&Drop
  * panel: Fill background
  * mainmenu: Use configurable icon
  * worldclock: Fix update interval
  * panel: Add periodic hide checking
  * clock: Fix content update if transform/autorotate
  * quicklaunch: Fix panel hiding upon showing menu
  * worldclock: Decrease (unnecessary) wake-ups
  * panel: Remove periodic checking for hide
  * Prevent panel hiding in case any (standalone) window shown
  * plugins: Unify window popup-ing
  * directorymenu: Fix indentation (spaces)
  * panel: Use override for overriden virt func
  * hu translations fixed
  * plugin-sysstat: translations fix
  * desktop-switch: Hightlight only windows in taskbar
  * fix misspelled prefered
- Add keyring
- Remove xkbcommon-includes.patch: upstreamed
- Remove: lxqt-panel-xcb-1.12.patch upstreamed
- Remove: no-undefined.patch instead pass
  - DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed -Wl,-z,now" to
  cmake to not have the --no-undefined which doesnt make sense here
  since the symbol is in the binary and not in a library.
* Wed Jun  1 2016 dimstar@opensuse.org
- Add lxqt-panel-xcb-1.12.patch: Fix linking with libxcb-1.12:
  we use xcb symbols by ourselves, so we are also responsible to
  link libxcb.
* Tue May 24 2016 mvetter@suse.com
- Use pkgconfig to require libxkbcommon-x11-devel
- Require lxqt-mount to have mounter option working
* Wed Dec 23 2015 mvetter@suse.com
- Use lxmenu-data to have a working panel menu (fonts etc).
* Mon Nov  9 2015 hrvoje.senjan@gmail.com
- Added no-undefined.patch: include sources which export used functions
- Added xkbcommon-includes.patch: explicitly add include path for
  xkbcommon headers, otherwise they are picked up accidentally
- Enable mount and kbindicator plugins
* Fri Nov  6 2015 mvetter@suse.com
- Upstream release 0.10.0
  We have to compile it with -DKBINDICATOR_PLUGIN=No -DMOUNT_PLUGIN=No
  for now because we have problems otherwise.
  Deleted patches:
  - lxqt-panel-0.9.0_fix_lxqtmount_include.patch
  - lxqt-panel-0.9.0_add_libxcb_to_cmakelist.patch
  Not needed anymore
* Thu Jul  9 2015 mvetter@suse.com
- Use correct name "lxqt" instead of "lxde-qt"
* Fri Feb 20 2015 sfalken@opensuse.org
- Changed %%build and %%include to use cmake macros
- Added Patches:
  + lxqt-panel-0.9.0_fix_lxqtmount_include.patch
  + lxqt-panel-0.9.0_add_libxcb_to_cmakelist.patch
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
- Added -lang subpackage
- Dropped Patches:
  + lxqt-panel-0.8.0_fix_lxqt-mount_headers.patch
  + lxqt-panel-0.8.0_fix_undefined_reference.patch
* Mon Jan 26 2015 sfalken@opensuse.org
- Added conditionals to enable Fedora Builds
* Wed Nov 19 2014 andrea@opensuse.org
- fixed license tag
* Thu Nov 13 2014 andrea@opensuse.org
- added lxmenu-data
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Fri Oct  3 2014 sfalken@opensuse.org
- Added:
  * 0001-fix_plugin_mount.patch
  * 0002-fix_plugin_volume.patch
  * 0003-fix_plugin_worldclock.patch
  * 0004-fix_plugin_kbindicator.patch
  * 0005-fix_plugin_dom.patch
  * Patches added to fix buildfailure caused by undefined references, and new default build flags in cmake (gh#lxde/lxde-qt#288)
* Tue May 13 2014 andrea@opensuse.org
- Build all plugins adding sensors and libstatgrab to buildrequires
* Tue May 13 2014 andrea@opensuse.org
- spec file clean up for factoy
* Tue May 13 2014 sfalken@opensuse.org
- Specfile cleanup
* Mon May 12 2014 sfalken@opensuse.org
- Removed fedora spec, split into subproject
  Del: lxqt-panel-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE specfile
* Sat May 10 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  lxqt-panel-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for new stable release
  Add:  lxqt-panel-0.7.0.tar.xz
  Del:  _service
* Mon Apr  7 2014 sfalken@opensuse.org
-  Changed Requires: lxqt-globalkeys-devel to lxwt-globalkeys
* Wed Apr  2 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: lxqt-panel.spec
  Add: lxqt-panel.changes
